/*
 * Created:        Tuesday, May 1, 2018 3:48:49 PM
 * Description:    3_Second_order_EQ:IC 1 parameter RAM definitions.
 *
 * This software is distributed in the hope that it will be useful,
 * but is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * This software may only be used to program products purchased from
 * Analog Devices for incorporation by you into audio products that
 * are intended for resale to audio product end users. This software
 * may not be distributed whole or in any part to third parties.
 *
 * Copyright ©2018 Analog Devices, Inc. All rights reserved.
 *
 *
 */
#ifndef __3_SECOND_ORDER_EQ_IC_1_PARAM_H__
#define __3_SECOND_ORDER_EQ_IC_1_PARAM_H__


/* Module MidEQ1 - Medium Size Eq*/
#define MOD_MIDEQ1_COUNT                               20
#define MOD_MIDEQ1_DEVICE                              "IC1"
#define MOD_MIDEQ1_ALG0_STAGE0_B0_ADDR                 0
#define MOD_MIDEQ1_ALG0_STAGE0_B0_FIXPT                0x00800000
#define MOD_MIDEQ1_ALG0_STAGE0_B0_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_MIDEQ1_ALG0_STAGE0_B0_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE0_B1_ADDR                 1
#define MOD_MIDEQ1_ALG0_STAGE0_B1_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE0_B1_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE0_B1_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE0_B2_ADDR                 2
#define MOD_MIDEQ1_ALG0_STAGE0_B2_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE0_B2_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE0_B2_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE0_A1_ADDR                 3
#define MOD_MIDEQ1_ALG0_STAGE0_A1_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE0_A1_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE0_A1_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE0_A2_ADDR                 4
#define MOD_MIDEQ1_ALG0_STAGE0_A2_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE0_A2_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE0_A2_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE1_B0_ADDR                 5
#define MOD_MIDEQ1_ALG0_STAGE1_B0_FIXPT                0x00800000
#define MOD_MIDEQ1_ALG0_STAGE1_B0_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_MIDEQ1_ALG0_STAGE1_B0_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE1_B1_ADDR                 6
#define MOD_MIDEQ1_ALG0_STAGE1_B1_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE1_B1_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE1_B1_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE1_B2_ADDR                 7
#define MOD_MIDEQ1_ALG0_STAGE1_B2_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE1_B2_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE1_B2_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE1_A1_ADDR                 8
#define MOD_MIDEQ1_ALG0_STAGE1_A1_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE1_A1_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE1_A1_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE1_A2_ADDR                 9
#define MOD_MIDEQ1_ALG0_STAGE1_A2_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE1_A2_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE1_A2_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE2_B0_ADDR                 10
#define MOD_MIDEQ1_ALG0_STAGE2_B0_FIXPT                0x00800000
#define MOD_MIDEQ1_ALG0_STAGE2_B0_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_MIDEQ1_ALG0_STAGE2_B0_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE2_B1_ADDR                 11
#define MOD_MIDEQ1_ALG0_STAGE2_B1_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE2_B1_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE2_B1_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE2_B2_ADDR                 12
#define MOD_MIDEQ1_ALG0_STAGE2_B2_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE2_B2_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE2_B2_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE2_A1_ADDR                 13
#define MOD_MIDEQ1_ALG0_STAGE2_A1_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE2_A1_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE2_A1_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE2_A2_ADDR                 14
#define MOD_MIDEQ1_ALG0_STAGE2_A2_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE2_A2_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE2_A2_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE3_B0_ADDR                 15
#define MOD_MIDEQ1_ALG0_STAGE3_B0_FIXPT                0x00800000
#define MOD_MIDEQ1_ALG0_STAGE3_B0_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_MIDEQ1_ALG0_STAGE3_B0_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE3_B1_ADDR                 16
#define MOD_MIDEQ1_ALG0_STAGE3_B1_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE3_B1_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE3_B1_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE3_B2_ADDR                 17
#define MOD_MIDEQ1_ALG0_STAGE3_B2_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE3_B2_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE3_B2_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE3_A1_ADDR                 18
#define MOD_MIDEQ1_ALG0_STAGE3_A1_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE3_A1_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE3_A1_TYPE                 SIGMASTUDIOTYPE_FIXPOINT
#define MOD_MIDEQ1_ALG0_STAGE3_A2_ADDR                 19
#define MOD_MIDEQ1_ALG0_STAGE3_A2_FIXPT                0x00000000
#define MOD_MIDEQ1_ALG0_STAGE3_A2_VALUE                SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0)
#define MOD_MIDEQ1_ALG0_STAGE3_A2_TYPE                 SIGMASTUDIOTYPE_FIXPOINT

/* Module SW vol 1 - Single SW slew vol (adjustable)*/
#define MOD_SWVOL1_COUNT                               4
#define MOD_SWVOL1_DEVICE                              "IC1"
#define MOD_SWVOL1_ALG0_TARGET_ADDR                    20
#define MOD_SWVOL1_ALG0_TARGET_FIXPT                   0x00800000
#define MOD_SWVOL1_ALG0_TARGET_VALUE                   SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_SWVOL1_ALG0_TARGET_TYPE                    SIGMASTUDIOTYPE_FIXPOINT
#define MOD_SWVOL1_ALG0_STEP_ADDR                      21
#define MOD_SWVOL1_ALG0_STEP_FIXPT                     0x00000800
#define MOD_SWVOL1_ALG0_STEP_VALUE                     SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.000244140625)
#define MOD_SWVOL1_ALG0_STEP_TYPE                      SIGMASTUDIOTYPE_FIXPOINT
#define MOD_SWVOL1_ALG1_TARGET_ADDR                    22
#define MOD_SWVOL1_ALG1_TARGET_FIXPT                   0x00800000
#define MOD_SWVOL1_ALG1_TARGET_VALUE                   SIGMASTUDIOTYPE_FIXPOINT_CONVERT(1)
#define MOD_SWVOL1_ALG1_TARGET_TYPE                    SIGMASTUDIOTYPE_FIXPOINT
#define MOD_SWVOL1_ALG1_STEP_ADDR                      23
#define MOD_SWVOL1_ALG1_STEP_FIXPT                     0x00000800
#define MOD_SWVOL1_ALG1_STEP_VALUE                     SIGMASTUDIOTYPE_FIXPOINT_CONVERT(0.000244140625)
#define MOD_SWVOL1_ALG1_STEP_TYPE                      SIGMASTUDIOTYPE_FIXPOINT

#endif
